/*
 Tasks

 1. Создать директиву img-lazy-load
    - принимает путь к картинке
    - в хук inserted - подгружает картинку когда она будет в зоне видимости viewport ( инфо по IntersectionObserver https://developer.mozilla.org/ru/docs/Web/API/Intersection_Observer_API)
    - в хук bind - написать фун-л который будет выводить картинку прелоадер

 ---------------

 2. КВП
    - создать форуму с 2 полями
    - кнопка компонент (submit)
    - КВП для кнопки
        - принимает данные формы
        - при нажатии на кнопку вывод данных формы в консоль и сохранять в локалстор


 ---------------

 3. Методы наблюдения
    - создайте форму с 5 полями (форма- компонент врапер, инпуты - компоненты)
        - двум из полей задать дефолтное значение
    - приявязать все поля (пример: filter.name, filter.age ...)
    - при изменении любого из полей выводить на страницу "n - полей изменено"
    - при изменении любого из полей должна появлятся кнопка "очистить"
        - при нажатии на "на очистить" востановить все поля к дефолту
    - добавить кнопку "еще фильтры"
        - кнопка сворачивает и разворачивает поля
        - применить transition


*/